/*********************************************************/
/* Leibnitz's algorithm to calculate Pi			 */
/* http://de.wikipedia.org/wiki/Kreiszahlberechnung_nach_Leibniz */
/* ----------------------------------------------------- */
/* Autor: Sebastian Wieseler, Pascal Fricke		 */
/* Mail: programming@kickino.org			 */
/* Web: http://www.kickino.org/				 */
/* IRC: #uscc @ irc.forkbomb.ch:6668 (ssl only)		 */
/* ----------------------------------------------------- */
/* Date: 2005-12-27					 */
/* Last Change: 2006-01-01				 */
/* Version: 0.2						 */
/* ----------------------------------------------------- */
/* tested OS: GNU/Linux, Windows			 */
/* Copyright: 2005,2006 by Sebastian Wieseler		 */
/* ----------------------------------------------------- */
/* Licence: GNU General Public License v2 or any later	 */
/* ----------------------------------------------------- */
/* NO WARRANTY!                                          */
/*********************************************************/
/*	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/
#include <iostream>


long double lambert_algo(float i)
{
	long double temp_pi=0;
	
	if (i < 1000)
		temp_pi=((i*i)/(((2*i)+1)+lambert_algo(i+1)));
	else if (i == 1000) // should be else
		return 1;

	return temp_pi;

}

int main()
{
	// print Pi
	printf ("%.62Lf \n", 4./(lambert_algo(1)+1) );
	
	return (4./(lambert_algo(1)+1));
}
